### Hierarchy

- Constructor<__type>
  - IRegistrationMessage

## Index

### Constructors

- constructor

### Properties

- arguments
- caller
- length
- name
- prototype

### Methods

- [Symbol.hasInstance]
- apply
- bind
- call
- register
- toString

## Constructors

### constructor

- new IRegistrationMessage(...params: any[]): __type

- Inherited from Constructor.__new

  - Defined in node_modules/protobufjs/index.d.ts:1827

  #### Parameters

  - ##### Rest ...params: any[]

  #### Returns __type

## Properties

### arguments

arguments: any

Inherited from Function.arguments

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:302

### caller

caller: Function

Inherited from Function.caller

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:303

### length

length: number

Inherited from Function.length

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:299

### name

name: string

Inherited from Function.name

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:97

Returns the name of the function. Function names are read-only and can not be changed.

### prototype

prototype: __type

Inherited from Constructor.prototype

Overrides Function.prototype

- Defined in node_modules/protobufjs/index.d.ts:1828

## Methods

### [Symbol.hasInstance]

- [Symbol.hasInstance](value: any): boolean

- Inherited from Function.[Symbol.hasInstance]

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:157

  Determines whether the given value inherits from this function if this function was used as a constructor function.

  A constructor function can control which objects are recognized as its instances by 'instanceof' by overriding this method.

  #### Parameters

  - ##### value: any

  #### Returns boolean

### apply

- apply(this: Function, thisArg: any, argArray?: any): any

- Inherited from Function.apply

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:278

  Calls the function, substituting the specified object for the this value of the function, and the specified array for the arguments of the function.

  #### Parameters

  - ##### this: Function

  - ##### thisArg: any

    The object to be used as the this object.

  - ##### Optional argArray: any

    A set of arguments to be passed to the function.

  #### Returns any

### bind

- bind(this: Function, thisArg: any, ...argArray: any[]): any

- Inherited from Function.bind

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:293

  For a given function, creates a bound function that has the same body as the original function. The this object of the bound function is associated with the specified object, and has the specified initial parameters.

  #### Parameters

  - ##### this: Function

  - ##### thisArg: any

    An object to which the this keyword can refer inside the new function.

  - ##### Rest ...argArray: any[]

    A list of arguments to be passed to the new function.

  #### Returns any

### call

- call(this: Function, thisArg: any, ...argArray: any[]): any

- Inherited from Function.call

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:285

  Calls a method of an object, substituting another object for the current object.

  #### Parameters

  - ##### this: Function

  - ##### thisArg: any

    The object to be used as the current object.

  - ##### Rest ...argArray: any[]

    A list of arguments to be passed to the method.

  #### Returns any

### register

- register(): void

- - Defined in src/protobuf/index.ts:47

  Register the message to be used as the default class for the given protobuf type

  #### Returns void

### toString

- toString(): string

- Inherited from Function.toString

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:296

  Returns a string representation of a function.

  #### Returns string

Generated using TypeDoc